ApiWikis
Update Wiki
Update a knowledge base's name or description.
Update a knowledge base's name or description.
Only fields explicitly included in the request body are changed. Omit a field to leave it untouched. The schema lives in a separate endpoint.
Authorization
HTTPBearer AuthorizationBearer <token>
In: header
Path Parameters
wiki_id*Wiki Id
Format
uuidHeader Parameters
X-API-Key?string|null
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PATCH "https://api.levainlabs.com/api/v1/wikis/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"slug": "string",
"description": "string",
"status": "string",
"pending_sources": 0,
"page_count": 0,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}